@echo off
if not exist c:\hsuk.ini goto ld_dosset
goto check_ss
:ld_dosset
dossetup
:check_ss
if not exist c:\lander\hsuk.dat\ssetup.exe goto ld_ss
c:\lander\hsuk.dat\ssetup /C %2 %3 %4 %5 %6
goto loadhh
:ld_ss
ssetup /C %2 %3 %4 %5 %6
if errorlevel 99 goto end
:loadhh
cd\hs
if not exist c:\lander\hsuk.dat\hsprog.exe goto ld_hs_cd
c:\lander\hsuk.dat\hsprog %1 %2 %3 %4 %5 %6
goto end
:ld_hs_cd
hsprog %1 %2 %3 %4 %5 %6
:end
cd\
